es.gob.fnmt.net

## Enum DroidHttpClient.CookiePolicy

- java.lang.Object
- - java.lang.Enum<DroidHttpClient.CookiePolicy>
  - - es.gob.fnmt.net.DroidHttpClient.CookiePolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DroidHttpClient.CookiePolicy>
  Enclosing class:
    DroidHttpClient

      public static enum DroidHttpClient.CookiePolicy
      extends java.lang.Enum<DroidHttpClient.CookiePolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEST_MATCH`
    `BROWSER_COMPATIBILITY`
    `RFC2965`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DroidHttpClient.CookiePolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DroidHttpClient.CookiePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEST_MATCH

          public static final DroidHttpClient.CookiePolicy BEST_MATCH

    - #### BROWSER_COMPATIBILITY

          public static final DroidHttpClient.CookiePolicy BROWSER_COMPATIBILITY

    - #### RFC2965

          public static final DroidHttpClient.CookiePolicy RFC2965

  - ### Method Detail

    - #### valueOf

          public static DroidHttpClient.CookiePolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static DroidHttpClient.CookiePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DroidHttpClient.CookiePolicy c : DroidHttpClient.CookiePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared